url: https://github.com/AsgardCms/Platform
versions:
    "3.6.0":
        added:
            - New MediaMuliple component for vuejs projects
    "3.5.1":
        changed:
            - Modify media controller to use Imagy non-statically
    "3.5.0":
        changed:
            - Let File implement the <code>Responsable</code> interface which allows it being returned from a controller directly.
    "3.4.0":
        changed:
            - Fixed vuejs compatibility
    "3.1.0":
        added:
            - Creating an UploadZone component
            - Creating the media list component for media modal
            - Creating a single media vue component
            - New media permissions for folders
            - Creating NewFolder component
            - Creating UploadButton component
            - Ability to arrange Media in folders
            - Ability to move files inside folders
            - Ability to move folders inside folders
        changed:
            - Allow pdfs to be uploaded by default too
            - Fixed SingleMedia component to correctly unset a selected media
    "3.0.0":
        added:
            - New <code>MaxFolderSizeRule</code> class, using new validator classes in laravel 5.5
        changed:
            - Using return type hints in <code>MediaController</code>
            - Optional media fields are set to allow null
            - The media menu item weight has been changed to <code>20</code>.
    "2.5.0":
        added:
            - <code>FileWasCreated</code> event
            - <code>FileWasUpdated</code> event
            - <code>FileIsCreating</code> hookable event
            - <code>FileIsUpdating</code> hookable event
            - New Sidebar event handler class replacing the old <code>SidebarExtender</code> class
        changed:
            - Using the @push js stacks over the scripts section
            - Using the @push css stacks over the styles section
    "2.4.0":
        added:
            - new blade directive for thumbnails <code>@thumbnail('path', 'thumbnailName')</code>
        changed:
            - Ability to set the field name for media directives (single & multiple), as forth argument
            - Fixing URL generation in case of S3, remove first <code>/</code>
    "2.0.0":
        added:
            - Laravel 5.4 compatibility
            - New way to define thumbnails, no more via a config file but via a class.
            - Adding a new resize canvas image manipulation
        changed:
            - Using new more flexible way of handle permissions via middleware
            - Protecting api routes with api admin middleware
            - Allow usage of multiple media partials on create views
            - Cleaned up file partials, both create and edit views use the event system
            - Allow <code>Imagy->getThumbnail()</code> to get the File entity directly
        deleted:
            - Removing laracasts/flash dependency
